Patch Resource
curl --request PATCH \
--url https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId} \
--header 'Content-Type: application/json' \
--data '{
"data": {}
}'import requests
url = "https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId}"
payload = { "data": {} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Partner Resources
Patch Resource
Updates a resource by its external ID. This is an incremental update, only provided fields will be updated. Fields not included in the request are left unchanged. Null values will explicitly delete the field (required fields cannot be deleted and will return a validation error).
PATCH
/
api
/
resources
/
{schemaDefinitionNameOrId}
/
{externalId}
Patch Resource
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The name or id of the schema definition for the resource being updated
The external ID of the resource to update
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
Show child attributes
Show child attributes
⌘I